/*******************************************************************************
* File Name: SLOAD.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SLOAD_H) /* Pins SLOAD_H */
#define CY_PINS_SLOAD_H

#include "cytypes.h"
#include "cyfitter.h"
#include "SLOAD_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SLOAD_Write(uint8 value) ;
void    SLOAD_SetDriveMode(uint8 mode) ;
uint8   SLOAD_ReadDataReg(void) ;
uint8   SLOAD_Read(void) ;
uint8   SLOAD_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SLOAD_DRIVE_MODE_BITS        (3)
#define SLOAD_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - SLOAD_DRIVE_MODE_BITS))
#define SLOAD_DRIVE_MODE_SHIFT       (0x00u)
#define SLOAD_DRIVE_MODE_MASK        (0x07u << SLOAD_DRIVE_MODE_SHIFT)

#define SLOAD_DM_ALG_HIZ         (0x00u << SLOAD_DRIVE_MODE_SHIFT)
#define SLOAD_DM_DIG_HIZ         (0x01u << SLOAD_DRIVE_MODE_SHIFT)
#define SLOAD_DM_RES_UP          (0x02u << SLOAD_DRIVE_MODE_SHIFT)
#define SLOAD_DM_RES_DWN         (0x03u << SLOAD_DRIVE_MODE_SHIFT)
#define SLOAD_DM_OD_LO           (0x04u << SLOAD_DRIVE_MODE_SHIFT)
#define SLOAD_DM_OD_HI           (0x05u << SLOAD_DRIVE_MODE_SHIFT)
#define SLOAD_DM_STRONG          (0x06u << SLOAD_DRIVE_MODE_SHIFT)
#define SLOAD_DM_RES_UPDWN       (0x07u << SLOAD_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define SLOAD_MASK               SLOAD__MASK
#define SLOAD_SHIFT              SLOAD__SHIFT
#define SLOAD_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SLOAD_PS                     (* (reg32 *) SLOAD__PS)
/* Port Configuration */
#define SLOAD_PC                     (* (reg32 *) SLOAD__PC)
/* Data Register */
#define SLOAD_DR                     (* (reg32 *) SLOAD__DR)
/* Input Buffer Disable Override */
#define SLOAD_INP_DIS                (* (reg32 *) SLOAD__PC2)


#if defined(SLOAD__INTSTAT)  /* Interrupt Registers */

    #define SLOAD_INTSTAT                (* (reg32 *) SLOAD__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins SLOAD_H */


/* [] END OF FILE */
