/*******************************************************************************
* File Name: `$INSTANCE_NAME`.h
* Version `$CY_MAJOR_VERSION`.`$CY_MINOR_VERSION`
*
* Description:
*  API function prototypes, customizer parameters and other constants for the
*  SGPIO Target component.
*
* Note:
*
*******************************************************************************
* Copyright 2008-2011, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/
#include "cytypes.h"
#include "cyfitter.h"
#include "cylib.h"

#if !defined(`$INSTANCE_NAME`_H)
#define `$INSTANCE_NAME`_H

/*************************************** 
* API Function Prototypes 
***************************************/
void    `$INSTANCE_NAME`_Start(void);
void    `$INSTANCE_NAME`_Stop(void);
void    `$INSTANCE_NAME`_Init(void) `=ReentrantKeil($INSTANCE_NAME . "_Init")`;
void    `$INSTANCE_NAME`_Enable(void) `=ReentrantKeil($INSTANCE_NAME . "_Enable")`;
void    `$INSTANCE_NAME`_EnableInt(void) `=ReentrantKeil($INSTANCE_NAME . "_EnableInt")`;
void    `$INSTANCE_NAME`_DisableInt(void) `=ReentrantKeil($INSTANCE_NAME . "_DisableInt")`;
uint8   `$INSTANCE_NAME`_GetIntStatus(void) `=ReentrantKeil($INSTANCE_NAME . "_GetIntStatus")`;
uint8   `$INSTANCE_NAME`_GetStatus(void);
void    `$INSTANCE_NAME`_WriteTxData(uint16 txData) `=ReentrantKeil($INSTANCE_NAME . "_WriteTxData")`;
uint16  `$INSTANCE_NAME`_ReadRxData(void) `=ReentrantKeil($INSTANCE_NAME . "_ReadRxData")`;
void    `$INSTANCE_NAME`_ClearTxBuffer(void) `=ReentrantKeil($INSTANCE_NAME . "_ClearTxBuffer")`;
void    `$INSTANCE_NAME`_ClearRxBuffer(void) `=ReentrantKeil($INSTANCE_NAME . "_ClearRxBuffer")`;
void    `$INSTANCE_NAME`_ResetTimeout(void) `=ReentrantKeil($INSTANCE_NAME . "_ResetTimeout")`;
uint8   `$INSTANCE_NAME`_GetTimeoutStatus(void) `=ReentrantKeil($INSTANCE_NAME . "_GetTimeoutStatus")`;
void    `$INSTANCE_NAME`_SaveConfig(void);
void    `$INSTANCE_NAME`_RestoreConfig(void) `=ReentrantKeil($INSTANCE_NAME . "_RestoreConfig")`;
void    `$INSTANCE_NAME`_Sleep(void);
void    `$INSTANCE_NAME`_Wakeup(void) `=ReentrantKeil($INSTANCE_NAME . "_Wakeup")`;

/****************************************** 
* Parameters from the Component Customizer
******************************************/
#define `$INSTANCE_NAME`_VendorSpecific `$VendorSpecific`

/****************************************** 
* Constants used by the firmware APIs
******************************************/
/* Bit field definitions for the Control Register */
#define `$INSTANCE_NAME`_EN                 (0x01u)
#define `$INSTANCE_NAME`_BUS_ACT_RST        (0x02u)
#define `$INSTANCE_NAME`_INT_EN             (0x04u)

/* Bit field definitions for the Status Register */
#define `$INSTANCE_NAME`_FULL_SYNC          (0x01u)
#define `$INSTANCE_NAME`_BUS_ACT_BIT        (0x02u)
#define `$INSTANCE_NAME`_RX_BUFF_AVAIL      (0x04u)
#define `$INSTANCE_NAME`_TX_BUFF_AVAIL      (0x08u)

/* SGPIO sload sync pattern ('1' followed by 5 '0's) */
#define `$INSTANCE_NAME`_SLOAD_SYNC         (0x80u)

/* Bit field definitions for the UDB registers */
#define `$INSTANCE_NAME`_COUNT7_EN          (0x20u)
#define `$INSTANCE_NAME`_F0_CLR             (0x0101u)
#define `$INSTANCE_NAME`_F0_LVL             (0x0404u)
#define `$INSTANCE_NAME`_F1_CLR             (0x0202u)
#define `$INSTANCE_NAME`_F1_LVL             (0x0808u)

// Hardware Block Registers
#define `$INSTANCE_NAME`_CONTROL_REG        (*(reg8 *)  `$INSTANCE_NAME`_`$CtlModeReplacementString`TCR_TargetControlReg__CONTROL_REG)
#define `$INSTANCE_NAME`_CONTROL_PTR        ( (reg8 *)  `$INSTANCE_NAME`_`$CtlModeReplacementString`TCR_TargetControlReg__CONTROL_REG)
#define `$INSTANCE_NAME`_STATUS_REG         (*(reg8 *)  `$INSTANCE_NAME`_TargetStatusReg__STATUS_REG)
#define `$INSTANCE_NAME`_STATUS_PTR         ( (reg8 *)  `$INSTANCE_NAME`_TargetStatusReg__STATUS_REG)
#define `$INSTANCE_NAME`_CNT7_AUX_CTL_REG   (*(reg8 *)  `$INSTANCE_NAME`_TargetBitCounter__CONTROL_AUX_CTL_REG)
#define `$INSTANCE_NAME`_CNT7_AUX_CTL_PTR   ( (reg8 *)  `$INSTANCE_NAME`_TargetBitCounter__CONTROL_AUX_CTL_REG)

#if(CY_PSOC3)
    #define `$INSTANCE_NAME`_DP_AUX_CTL_REG     (*(reg16 *) `$INSTANCE_NAME`_TargetShiftReg_u0__DP_AUX_CTL_REG)
    #define `$INSTANCE_NAME`_DP_AUX_CTL_PTR     ( (reg16 *) `$INSTANCE_NAME`_TargetShiftReg_u0__DP_AUX_CTL_REG)
    #define `$INSTANCE_NAME`_FIFO_F1_REG        (*(reg16 *) `$INSTANCE_NAME`_TargetShiftReg_u0__F1_REG)
    #define `$INSTANCE_NAME`_FIFO_F1_PTR        ( (reg16 *) `$INSTANCE_NAME`_TargetShiftReg_u0__F1_REG)
    #define `$INSTANCE_NAME`_FIFO_F0_REG        (*(reg16 *) `$INSTANCE_NAME`_TargetShiftReg_u0__F0_REG)
    #define `$INSTANCE_NAME`_FIFO_F0_PTR        ( (reg16 *) `$INSTANCE_NAME`_TargetShiftReg_u0__F0_REG)
#else
    #define `$INSTANCE_NAME`_DP_AUX_CTL_REG     (*(reg16 *) `$INSTANCE_NAME`_TargetShiftReg_u0__16BIT_DP_AUX_CTL_REG)
    #define `$INSTANCE_NAME`_DP_AUX_CTL_PTR     ( (reg16 *) `$INSTANCE_NAME`_TargetShiftReg_u0__16BIT_DP_AUX_CTL_REG)
    #define `$INSTANCE_NAME`_FIFO_F1_REG        (*(reg16 *) `$INSTANCE_NAME`_TargetShiftReg_u0__16BIT_F1_REG)
    #define `$INSTANCE_NAME`_FIFO_F1_PTR        ( (reg16 *) `$INSTANCE_NAME`_TargetShiftReg_u0__16BIT_F1_REG)
    #define `$INSTANCE_NAME`_FIFO_F0_REG        (*(reg16 *) `$INSTANCE_NAME`_TargetShiftReg_u0__16BIT_F0_REG)
    #define `$INSTANCE_NAME`_FIFO_F0_PTR        ( (reg16 *) `$INSTANCE_NAME`_TargetShiftReg_u0__16BIT_F0_REG)
#endif

#define `$INSTANCE_NAME`_DP_D1_REG          (*(reg8 *)  `$INSTANCE_NAME`_TargetShiftReg_u1__D1_REG)
#define `$INSTANCE_NAME`_DP_D1_PTR          ( (reg8 *)  `$INSTANCE_NAME`_TargetShiftReg_u1__D1_REG)
/****************************************** 
* Power Management Support
******************************************/
/* Sleep mode support - backup component state before going to sleep */
typedef struct `$INSTANCE_NAME`_backupStruct
{
    uint8 enableState;
    uint8 interruptEnableState;
} `$INSTANCE_NAME`_BACKUP_STRUCT;

#endif // header sentry

//[] END OF FILE
