/*******************************************************************************
* File Name: Clock_4.h
* Version 2.0
*
*  Description:
*   Provides the function and constant definitions for the clock component.
*
*  Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_CLOCK_Clock_4_H)
#define CY_CLOCK_Clock_4_H

#include <cytypes.h>
#include <cyfitter.h>


/***************************************
*        Function Prototypes
***************************************/

void Clock_4_Start(void);
void Clock_4_Stop(void);

void Clock_4_SetFractionalDividerRegister(uint16 clkDivider, uint8 clkFractional);

uint16 Clock_4_GetDividerRegister(void);
uint8  Clock_4_GetFractionalDividerRegister(void);

#define Clock_4_Enable()                         Clock_4_Start()
#define Clock_4_Disable()                        Clock_4_Stop()
#define Clock_4_SetDividerRegister(clkDivider, reset)  \
                        Clock_4_SetFractionalDividerRegister((clkDivider), 0)
#define Clock_4_SetDivider(clkDivider)           Clock_4_SetDividerRegister((clkDivider), 1)
#define Clock_4_SetDividerValue(clkDivider)      Clock_4_SetDividerRegister((clkDivider) - 1, 1)


/***************************************
*             Registers
***************************************/

#define Clock_4_DIV_REG    (*(reg32 *)Clock_4__REGISTER)
#define Clock_4_ENABLE_REG Clock_4_DIV_REG

#endif /* !defined(CY_CLOCK_Clock_4_H) */

/* [] END OF FILE */
