/*******************************************************************************
* File Name: SCLOCK.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SCLOCK_H) /* Pins SCLOCK_H */
#define CY_PINS_SCLOCK_H

#include "cytypes.h"
#include "cyfitter.h"
#include "SCLOCK_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SCLOCK_Write(uint8 value) ;
void    SCLOCK_SetDriveMode(uint8 mode) ;
uint8   SCLOCK_ReadDataReg(void) ;
uint8   SCLOCK_Read(void) ;
uint8   SCLOCK_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SCLOCK_DRIVE_MODE_BITS        (3)
#define SCLOCK_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - SCLOCK_DRIVE_MODE_BITS))
#define SCLOCK_DRIVE_MODE_SHIFT       (0x00u)
#define SCLOCK_DRIVE_MODE_MASK        (0x07u << SCLOCK_DRIVE_MODE_SHIFT)

#define SCLOCK_DM_ALG_HIZ         (0x00u << SCLOCK_DRIVE_MODE_SHIFT)
#define SCLOCK_DM_DIG_HIZ         (0x01u << SCLOCK_DRIVE_MODE_SHIFT)
#define SCLOCK_DM_RES_UP          (0x02u << SCLOCK_DRIVE_MODE_SHIFT)
#define SCLOCK_DM_RES_DWN         (0x03u << SCLOCK_DRIVE_MODE_SHIFT)
#define SCLOCK_DM_OD_LO           (0x04u << SCLOCK_DRIVE_MODE_SHIFT)
#define SCLOCK_DM_OD_HI           (0x05u << SCLOCK_DRIVE_MODE_SHIFT)
#define SCLOCK_DM_STRONG          (0x06u << SCLOCK_DRIVE_MODE_SHIFT)
#define SCLOCK_DM_RES_UPDWN       (0x07u << SCLOCK_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define SCLOCK_MASK               SCLOCK__MASK
#define SCLOCK_SHIFT              SCLOCK__SHIFT
#define SCLOCK_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SCLOCK_PS                     (* (reg32 *) SCLOCK__PS)
/* Port Configuration */
#define SCLOCK_PC                     (* (reg32 *) SCLOCK__PC)
/* Data Register */
#define SCLOCK_DR                     (* (reg32 *) SCLOCK__DR)
/* Input Buffer Disable Override */
#define SCLOCK_INP_DIS                (* (reg32 *) SCLOCK__PC2)


#if defined(SCLOCK__INTSTAT)  /* Interrupt Registers */

    #define SCLOCK_INTSTAT                (* (reg32 *) SCLOCK__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins SCLOCK_H */


/* [] END OF FILE */
