/*******************************************************************************
* File Name: SDIN.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SDIN_H) /* Pins SDIN_H */
#define CY_PINS_SDIN_H

#include "cytypes.h"
#include "cyfitter.h"
#include "SDIN_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SDIN_Write(uint8 value) ;
void    SDIN_SetDriveMode(uint8 mode) ;
uint8   SDIN_ReadDataReg(void) ;
uint8   SDIN_Read(void) ;
uint8   SDIN_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SDIN_DRIVE_MODE_BITS        (3)
#define SDIN_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - SDIN_DRIVE_MODE_BITS))
#define SDIN_DRIVE_MODE_SHIFT       (0x00u)
#define SDIN_DRIVE_MODE_MASK        (0x07u << SDIN_DRIVE_MODE_SHIFT)

#define SDIN_DM_ALG_HIZ         (0x00u << SDIN_DRIVE_MODE_SHIFT)
#define SDIN_DM_DIG_HIZ         (0x01u << SDIN_DRIVE_MODE_SHIFT)
#define SDIN_DM_RES_UP          (0x02u << SDIN_DRIVE_MODE_SHIFT)
#define SDIN_DM_RES_DWN         (0x03u << SDIN_DRIVE_MODE_SHIFT)
#define SDIN_DM_OD_LO           (0x04u << SDIN_DRIVE_MODE_SHIFT)
#define SDIN_DM_OD_HI           (0x05u << SDIN_DRIVE_MODE_SHIFT)
#define SDIN_DM_STRONG          (0x06u << SDIN_DRIVE_MODE_SHIFT)
#define SDIN_DM_RES_UPDWN       (0x07u << SDIN_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define SDIN_MASK               SDIN__MASK
#define SDIN_SHIFT              SDIN__SHIFT
#define SDIN_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SDIN_PS                     (* (reg32 *) SDIN__PS)
/* Port Configuration */
#define SDIN_PC                     (* (reg32 *) SDIN__PC)
/* Data Register */
#define SDIN_DR                     (* (reg32 *) SDIN__DR)
/* Input Buffer Disable Override */
#define SDIN_INP_DIS                (* (reg32 *) SDIN__PC2)


#if defined(SDIN__INTSTAT)  /* Interrupt Registers */

    #define SDIN_INTSTAT                (* (reg32 *) SDIN__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins SDIN_H */


/* [] END OF FILE */
