/*******************************************************************************
* File Name: SDOUT.h  
* Version 1.90
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SDOUT_H) /* Pins SDOUT_H */
#define CY_PINS_SDOUT_H

#include "cytypes.h"
#include "cyfitter.h"
#include "SDOUT_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    SDOUT_Write(uint8 value) ;
void    SDOUT_SetDriveMode(uint8 mode) ;
uint8   SDOUT_ReadDataReg(void) ;
uint8   SDOUT_Read(void) ;
uint8   SDOUT_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define SDOUT_DRIVE_MODE_BITS        (3)
#define SDOUT_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - SDOUT_DRIVE_MODE_BITS))
#define SDOUT_DRIVE_MODE_SHIFT       (0x00u)
#define SDOUT_DRIVE_MODE_MASK        (0x07u << SDOUT_DRIVE_MODE_SHIFT)

#define SDOUT_DM_ALG_HIZ         (0x00u << SDOUT_DRIVE_MODE_SHIFT)
#define SDOUT_DM_DIG_HIZ         (0x01u << SDOUT_DRIVE_MODE_SHIFT)
#define SDOUT_DM_RES_UP          (0x02u << SDOUT_DRIVE_MODE_SHIFT)
#define SDOUT_DM_RES_DWN         (0x03u << SDOUT_DRIVE_MODE_SHIFT)
#define SDOUT_DM_OD_LO           (0x04u << SDOUT_DRIVE_MODE_SHIFT)
#define SDOUT_DM_OD_HI           (0x05u << SDOUT_DRIVE_MODE_SHIFT)
#define SDOUT_DM_STRONG          (0x06u << SDOUT_DRIVE_MODE_SHIFT)
#define SDOUT_DM_RES_UPDWN       (0x07u << SDOUT_DRIVE_MODE_SHIFT)

/* Digital Port Constants */
#define SDOUT_MASK               SDOUT__MASK
#define SDOUT_SHIFT              SDOUT__SHIFT
#define SDOUT_WIDTH              1u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SDOUT_PS                     (* (reg32 *) SDOUT__PS)
/* Port Configuration */
#define SDOUT_PC                     (* (reg32 *) SDOUT__PC)
/* Data Register */
#define SDOUT_DR                     (* (reg32 *) SDOUT__DR)
/* Input Buffer Disable Override */
#define SDOUT_INP_DIS                (* (reg32 *) SDOUT__PC2)


#if defined(SDOUT__INTSTAT)  /* Interrupt Registers */

    #define SDOUT_INTSTAT                (* (reg32 *) SDOUT__INTSTAT)

#endif /* Interrupt Registers */

#endif /* End Pins SDOUT_H */


/* [] END OF FILE */
