/*******************************************************************************
* File Name: isrTargetINT.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isrTargetINT_H)
#define CY_ISR_isrTargetINT_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isrTargetINT_Start(void);
void isrTargetINT_StartEx(cyisraddress address);
void isrTargetINT_Stop(void);

CY_ISR_PROTO(isrTargetINT_Interrupt);

void isrTargetINT_SetVector(cyisraddress address);
cyisraddress isrTargetINT_GetVector(void);

void isrTargetINT_SetPriority(uint8 priority);
uint8 isrTargetINT_GetPriority(void);

void isrTargetINT_Enable(void);
uint8 isrTargetINT_GetState(void);
void isrTargetINT_Disable(void);

void isrTargetINT_SetPending(void);
void isrTargetINT_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isrTargetINT ISR. */
#define isrTargetINT_INTC_VECTOR            ((reg32 *) isrTargetINT__INTC_VECT)

/* Address of the isrTargetINT ISR priority. */
#define isrTargetINT_INTC_PRIOR             ((reg32 *) isrTargetINT__INTC_PRIOR_REG)

/* Priority of the isrTargetINT interrupt. */
#define isrTargetINT_INTC_PRIOR_NUMBER      isrTargetINT__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isrTargetINT interrupt. */
#define isrTargetINT_INTC_SET_EN            ((reg32 *) isrTargetINT__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isrTargetINT interrupt. */
#define isrTargetINT_INTC_CLR_EN            ((reg32 *) isrTargetINT__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isrTargetINT interrupt state to pending. */
#define isrTargetINT_INTC_SET_PD            ((reg32 *) isrTargetINT__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isrTargetINT interrupt. */
#define isrTargetINT_INTC_CLR_PD            ((reg32 *) isrTargetINT__INTC_CLR_PD_REG)



#endif /* CY_ISR_isrTargetINT_H */


/* [] END OF FILE */
