/*******************************************************************************
* File Name: isrTimeout.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isrTimeout_H)
#define CY_ISR_isrTimeout_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isrTimeout_Start(void);
void isrTimeout_StartEx(cyisraddress address);
void isrTimeout_Stop(void);

CY_ISR_PROTO(isrTimeout_Interrupt);

void isrTimeout_SetVector(cyisraddress address);
cyisraddress isrTimeout_GetVector(void);

void isrTimeout_SetPriority(uint8 priority);
uint8 isrTimeout_GetPriority(void);

void isrTimeout_Enable(void);
uint8 isrTimeout_GetState(void);
void isrTimeout_Disable(void);

void isrTimeout_SetPending(void);
void isrTimeout_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isrTimeout ISR. */
#define isrTimeout_INTC_VECTOR            ((reg32 *) isrTimeout__INTC_VECT)

/* Address of the isrTimeout ISR priority. */
#define isrTimeout_INTC_PRIOR             ((reg32 *) isrTimeout__INTC_PRIOR_REG)

/* Priority of the isrTimeout interrupt. */
#define isrTimeout_INTC_PRIOR_NUMBER      isrTimeout__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isrTimeout interrupt. */
#define isrTimeout_INTC_SET_EN            ((reg32 *) isrTimeout__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isrTimeout interrupt. */
#define isrTimeout_INTC_CLR_EN            ((reg32 *) isrTimeout__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isrTimeout interrupt state to pending. */
#define isrTimeout_INTC_SET_PD            ((reg32 *) isrTimeout__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isrTimeout interrupt. */
#define isrTimeout_INTC_CLR_PD            ((reg32 *) isrTimeout__INTC_CLR_PD_REG)



#endif /* CY_ISR_isrTimeout_H */


/* [] END OF FILE */
