/*******************************************************************************
* Project Name:      PSoC 3 Power Supervisor (AN76474)
* File Name:         User.h
* Version:           v2.0
*******************************************************************************/
#if !defined(MAIN_H)
#define MAIN_H

#define NUMBER_OF_DRIVES    (4u)

#define FALSE               (0u)
#define TRUE                (1u)
#define OFF                 (0u)
#define ON                  (1u)

#define VACANT              (0u)
#define OCCUPIED            (1u)

#define CHANNEL_1           (0u)
#define CHANNEL_2           (1u)
#define CHANNEL_3           (2u)
#define CHANNEL_4           (3u)

#define DRIVE1              (0u)
#define DRIVE2              (1u)
#define DRIVE3              (2u)
#define DRIVE4              (3u)

#define DRIVE1_MASK         (0x0007)  // 0b0000000000000111
#define DRIVE2_MASK         (0x0038)  // 0b0000000000111000
#define DRIVE3_MASK         (0x01C0)  // 0b0000000111000000
#define DRIVE4_MASK         (0x0E00)  // 0b0000111000000000

#define ACT_MASK            (0x04)
#define STAT_MASK           (0x03)

#define LOCATE              (0x02)    // 0b00000010
#define REBUILD             (0x03)    // 0b00000011
#define FAIL                (0x01)    // 0b00000001
#define INACTIVE            (0x00)    // 0b00000000

#define LOCATE_MASK         (0x02)    // 0b00000010
#define REBUILD_MASK        (0x03)    // 0b00000011
#define FAIL_MASK           (0x01)    // 0b00000001
#define INACTIVE_MASK       (0x00)    // 0b00000000



/* Function Prototypes */
void InitializePSoC(void);
void CheckIfDrivesInstalled(void);

CY_ISR_PROTO(isr_SGPIO);
CY_ISR_PROTO(isr_Timeout);
CY_ISR_PROTO(ADC_ISR_Handler);

#endif /* USER_H Header Sentry */
//[] END OF FILE
